//---------------------------------------------------------------------------
#ifndef SPMainH
#define SPMainH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Dialogs.hpp>
//---------------------------------------------------------------------------
class TScratchPad : public TForm
{
__published:	// IDE-managed Components
  TBevel *Bevel1;
  TPanel *SpeedBar;
  TSpeedButton *FileOpenBtn;
  TSpeedButton *FileSaveBtn;
  TStatusBar *StatusBar;
  TMemo *Memo;
  TMainMenu *MainMenu;
  TMenuItem *FileMenu;
  TMenuItem *FileNew;
  TMenuItem *FileOpen;
  TMenuItem *FileSave;
  TMenuItem *FileSaveAs;
  TMenuItem *N1;
  TMenuItem *FilePrint;
  TMenuItem *FilePrintSetup;
  TMenuItem *N2;
  TMenuItem *FileExit;
  TMenuItem *Edit1;
  TMenuItem *EditReplace;
  TMenuItem *EditFind;
  TMenuItem *N4;
  TMenuItem *EditPaste;
  TMenuItem *EditCopy;
  TMenuItem *EditCut;
  TMenuItem *N5;
  TMenuItem *EditUndo;
  TMenuItem *Help1;
  TMenuItem *HelpAbout;
  TMenuItem *HelpContents;
  TMenuItem *EditSelectAll;
  TMenuItem *N3;
  TMenuItem *EditWordWrap;
  TOpenDialog *OpenDialog;
  TSaveDialog *SaveDialog;
  TPopupMenu *MemoPopup;
  TMenuItem *PopupCut;
  TMenuItem *PopupCopy;
  TMenuItem *PopupPaste;
  void __fastcall FileExitClick(TObject *Sender);
  void __fastcall EditCutClick(TObject *Sender);
  void __fastcall EditCopyClick(TObject *Sender);
  void __fastcall EditPasteClick(TObject *Sender);
  void __fastcall FileNewClick(TObject *Sender);
  void __fastcall FileOpenClick(TObject *Sender);
  void __fastcall FileSaveClick(TObject *Sender);
  void __fastcall FileSaveAsClick(TObject *Sender);
  void __fastcall EditUndoClick(TObject *Sender);
  void __fastcall EditSelectAllClick(TObject *Sender);
  void __fastcall EditWordWrapClick(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall HelpAboutClick(TObject *Sender);
private:	// User declarations
  void __fastcall OnHint(TObject* Sender);
public:		// User declarations
  __fastcall TScratchPad(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TScratchPad *ScratchPad;
//---------------------------------------------------------------------------
#endif
